> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Token Types

> Returns the org's token types, optionally filtered by payroll cycle type.

Required scope: `payroll:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-org-token-types
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-org-token-types:
    get:
      operationId: getOrgTokenTypes
      summary: Get Org Token Types
      x-toku-required-scope: payroll:read
      description: >-
        Returns the org's token types, optionally filtered by payroll cycle
        type.


        Required scope: `payroll:read`
      parameters:
        - name: orgID
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
        - name: cycleType
          in: query
          required: false
          schema:
            type: string
            enum:
              - ON_CYCLE
              - OFF_CYCLE
              - INVOICE_PAYMENT
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrgTokenTypesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOrgTokenTypesResponse:
      type: object
      properties:
        tokenTypes:
          type: array
          items:
            $ref: '#/components/schemas/PayrollTokenFirstCoreOrgToken'
      required:
        - tokenTypes
      description: Request regeneration does not infer response shapes.
    PayrollTokenFirstCoreOrgToken:
      allOf:
        - $ref: '#/components/schemas/PayrollTokenFirstReadToken'
        - type: object
          properties:
            Network:
              oneOf:
                - $ref: '#/components/schemas/PayrollTokenFirstReadNetwork'
                - type: 'null'
          required:
            - Network
    PayrollTokenFirstReadToken:
      type: object
      properties:
        tokenTypeID:
          type: string
          format: uuid
        name:
          type: string
        currencyCode:
          type: string
        icon:
          type:
            - string
            - 'null'
        orgID:
          type: string
          format: uuid
        enabledForPayrollType:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstReadPayrollType'
            - type: 'null'
        networkID:
          type: string
          format: uuid
        address:
          type:
            - string
            - 'null'
        decimalPlaces:
          type:
            - integer
            - 'null'
        coinMarketCapID:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        isTokenEnabled:
          type:
            - boolean
            - 'null'
        isContractorDefault:
          type: boolean
        defaultTokenSlug:
          type:
            - string
            - 'null'
        catalogTokenDeploymentID:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - tokenTypeID
        - name
        - currencyCode
        - icon
        - orgID
        - enabledForPayrollType
        - networkID
        - address
        - decimalPlaces
        - coinMarketCapID
        - createdAt
        - isTokenEnabled
        - isContractorDefault
        - defaultTokenSlug
        - catalogTokenDeploymentID
    PayrollTokenFirstReadPayrollType:
      type: string
      enum:
        - ON_CYCLE
        - OFF_CYCLE
        - INVOICE_PAYMENT
    PayrollTokenFirstReadNetwork:
      type: object
      properties:
        networkID:
          type: string
          format: uuid
        orgID:
          type: string
          format: uuid
        name:
          type: string
        icon:
          type:
            - string
            - 'null'
        tokenType:
          $ref: '#/components/schemas/PayrollTokenFirstReadTokenKind'
        isNetworkEnabled:
          type:
            - boolean
            - 'null'
        chainType:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstReadChainType'
            - type: 'null'
        meshConnectNetworkID:
          type:
            - string
            - 'null'
        evmChainID:
          type:
            - integer
            - 'null'
        multiSendCallOnlyAddress:
          type:
            - string
            - 'null'
        safeSingletonAddress:
          type:
            - string
            - 'null'
        safeFactoryAddress:
          type:
            - string
            - 'null'
        safeAppBaseUrl:
          type:
            - string
            - 'null'
        safeTxServiceUrl:
          type:
            - string
            - 'null'
        blockExplorerBaseUrl:
          type:
            - string
            - 'null'
        eipsName:
          type:
            - string
            - 'null'
        aleoTransferVisibility:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstReadVisibility'
            - type: 'null'
        defaultNetworkSlugUrl:
          type:
            - string
            - 'null'
        catalogChainID:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - networkID
        - orgID
        - name
        - icon
        - tokenType
        - isNetworkEnabled
        - chainType
        - meshConnectNetworkID
        - evmChainID
        - multiSendCallOnlyAddress
        - safeSingletonAddress
        - safeFactoryAddress
        - safeAppBaseUrl
        - safeTxServiceUrl
        - blockExplorerBaseUrl
        - eipsName
        - aleoTransferVisibility
        - defaultNetworkSlugUrl
        - catalogChainID
    PayrollTokenFirstReadTokenKind:
      type: string
      enum:
        - ERC20
        - NATIVE
    PayrollTokenFirstReadChainType:
      type: string
      enum:
        - EVM
        - SOLANA
        - XRPL
        - BITCOIN
        - COSMOS_SDK
        - FILECOIN
        - PROVENANCE
        - ALEO
        - FOGO
        - FIAT
        - NEAR
        - POLKADOT
        - STACKS
    PayrollTokenFirstReadVisibility:
      type: string
      enum:
        - PUBLIC
        - PUBLIC_TO_PRIVATE
        - PRIVATE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
